if blog.onesignal_app_id
    script(type='text/javascript').
        var onesignal_id = !{JSON.stringify(blog.onesignal_app_id)}
    link(rel="manifest preload" href="/manifest.json")
    script(src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" rel="preload" defer async)
    script(src='/js/onesignal.js' rel="preload"  defer async)

script(type='text/javascript').
    window.dataLayer = window.dataLayer || [];
    function gtag() {
        dataLayer.push(arguments);
    }
    gtag('js', new Date());
    gtag('config', 'UA-120365822-4');
    const customId = '!{blog.analytics_gtag}';
    if (customId.length) {
        gtag('config', customId);
    }
script(async src="https://www.googletagmanager.com/gtag/js?id=UA-120365822-4" rel="preload")

#fb-root
script(src='/js/facebook-sdk.js' rel="preload" defer async)
script(src="/js/twitter.js" rel="preload" defer async)

script(src='https://auth.engrave.website/sslo.js')

script(src='/vendor/jquery/jquery.min.js')
script(src='/vendor/bootstrap/js/bootstrap.bundle.min.js')
script(src='/js/clean-blog.min.js')

script(src='/js/dist/main.js')
